{% extends "base.html" %}

{% load i18n applications_tags %}

{% block content %}
    <h1>
        {% blocktrans with name=application.name %}
            Delete application from {{ name }}
        {% endblocktrans %}
    </h1>
    <p>
        {% blocktrans with name=application.name %}
            Are you sure you want to delete {{ name }}'s application?
        {% endblocktrans %}

        Here's a preview of the email that will be sent to {{ application.first_name }}.
        <p class="email-preview">Subject: {{ application|rejection_mail_subject }}}
        {{ application|rejection_mail_body }}</p>
    </p>
    <menu class="horizontal-buttons">
        <form method='post' id='deleteApplicationWithoutEmailForm' class="gap-after">
            {% csrf_token %}
            <input type="hidden" name="send_email" value="false">
            <button class="button">Delete without email</button>
        </form>
        <form method='post' id='deleteApplicationForm'>
            {% csrf_token %}
            <input type="hidden" name="send_email" value="true">
            <button class="button button-primary">Delete</button>
        </form>
    </menu>
{% endblock %}
